Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1156)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1157)
@@ -1580,15 +1580,4 @@
 #endif
 #endif
-#if !OUTPUT_LAYER_SETS_CONFIG // Taken care by configuration file parameter
-#if P0295_DEFAULT_OUT_LAYER_IDC
-  vps->setDefaultTargetOutputLayerIdc(1);
-#else
-#if O0109_DEFAULT_ONE_OUT_LAYER_IDC
-  vps->setDefaultOneTargetOutputLayerIdc(1);
-#else
-  vps->setDefaultOneTargetOutputLayerFlag(true);
-#endif
-#endif
-#endif
 #endif
 #if VPS_DPB_SIZE_TABLE
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1156)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1157)
@@ -1961,13 +1961,5 @@
 , m_numProfileTierLevel       (0)
 , m_numAddOutputLayerSets     (0)
-#if P0295_DEFAULT_OUT_LAYER_IDC
-, m_defaultTargetOutputLayerIdc     (0)
-#else
-#if O0109_DEFAULT_ONE_OUT_LAYER_IDC
-, m_defaultOneTargetOutputLayerIdc     (0)
-#else
-, m_defaultOneTargetOutputLayerFlag    (false)
-#endif
-#endif
+, m_defaultTargetOutputLayerIdc(0)
 , m_bitRatePresentVpsFlag     (false)
 , m_picRatePresentVpsFlag     (false)
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1156)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1157)
@@ -666,13 +666,5 @@
   UInt       m_numProfileTierLevel;
   Int        m_numAddOutputLayerSets;
-#if P0295_DEFAULT_OUT_LAYER_IDC
   UInt       m_defaultTargetOutputLayerIdc;
-#else
-#if O0109_DEFAULT_ONE_OUT_LAYER_IDC
-  UInt       m_defaultOneTargetOutputLayerIdc;
-#else
-  Bool       m_defaultOneTargetOutputLayerFlag;
-#endif
-#endif
   std::vector< std::vector<Int> >  m_profileLevelTierIdx;
   Bool       m_maxOneActiveRefLayerFlag;
@@ -1028,29 +1020,19 @@
   Bool   isMotionPredictionType(Int currLayerIdx, Int refLayerIdx)              { assert(currLayerIdx != refLayerIdx); return ( ( ( m_directDependencyType[currLayerIdx][refLayerIdx] + 1 ) & 2 ) >> 1 ) ? true : false; }
 
-  UInt   getNumProfileTierLevel()                                { return m_numProfileTierLevel; }
-  Void   setNumProfileTierLevel(Int x)                           { m_numProfileTierLevel = x;    }
-  Int    getNumAddOutputLayerSets()                              { return m_numAddOutputLayerSets; }
-  Void   setNumAddOutputLayerSets(Int x)                         { m_numAddOutputLayerSets = x   ; }
-
-#if P0295_DEFAULT_OUT_LAYER_IDC
-  UInt   getDefaultTargetOutputLayerIdc()                 { return m_defaultTargetOutputLayerIdc;}
-  Void   setDefaultTargetOutputLayerIdc(UInt x)           { m_defaultTargetOutputLayerIdc = x    ;}
-#else
-#if O0109_DEFAULT_ONE_OUT_LAYER_IDC
-  UInt   getDefaultOneTargetOutputLayerIdc()                 { return m_defaultOneTargetOutputLayerIdc;}
-  Void   setDefaultOneTargetOutputLayerIdc(UInt x)           { m_defaultOneTargetOutputLayerIdc= x    ;}
-#else
-  Bool   getDefaultOneTargetOutputLayerFlag()                 { return m_defaultOneTargetOutputLayerFlag;}
-  Void   setDefaultOneTargetOutputLayerFlag(Bool x)           { m_defaultOneTargetOutputLayerFlag= x    ;}
-#endif
-#endif
-
-  Bool getNecessaryLayerFlag(Int const i, Int const j) { return m_necessaryLayerFlag[i][j]; }
-  std::vector< std::vector<Int> >* getProfileLevelTierIdx() { return &m_profileLevelTierIdx; }
-  std::vector<Int>* getProfileLevelTierIdx(Int const olsIdx) { return &m_profileLevelTierIdx[olsIdx]; }
-  Int    getProfileLevelTierIdx(Int const olsIdx, Int const layerIdx)     { return m_profileLevelTierIdx[olsIdx][layerIdx]; }
-  Void   setProfileLevelTierIdx(Int const olsIdx, Int const layerIdx, Int const ptlIdx)     { m_profileLevelTierIdx[olsIdx][layerIdx] = ptlIdx; }
+  UInt   getNumProfileTierLevel()                                               { return m_numProfileTierLevel;   }
+  Void   setNumProfileTierLevel(Int x)                                          { m_numProfileTierLevel = x;      }
+  Int    getNumAddOutputLayerSets()                                             { return m_numAddOutputLayerSets; }
+  Void   setNumAddOutputLayerSets(Int x)                                        { m_numAddOutputLayerSets = x   ; }
+
+  UInt   getDefaultTargetOutputLayerIdc()                                       { return m_defaultTargetOutputLayerIdc; }
+  Void   setDefaultTargetOutputLayerIdc(UInt x)                                 { m_defaultTargetOutputLayerIdc = x    ;}
+
+  Bool getNecessaryLayerFlag(Int const i, Int const j)                          { return m_necessaryLayerFlag[i][j];     }
+  std::vector< std::vector<Int> >* getProfileLevelTierIdx()                     { return &m_profileLevelTierIdx;         }
+  std::vector<Int>* getProfileLevelTierIdx(Int const olsIdx)                    { return &m_profileLevelTierIdx[olsIdx]; }
+  Int    getProfileLevelTierIdx(Int const olsIdx, Int const layerIdx)                   { return m_profileLevelTierIdx[olsIdx][layerIdx]; }
+  Void   setProfileLevelTierIdx(Int const olsIdx, Int const layerIdx, Int const ptlIdx) { m_profileLevelTierIdx[olsIdx][layerIdx] = ptlIdx; }
 #if MULTIPLE_PTL_SUPPORT
-  Void   addProfileLevelTierIdx(Int const olsIdx, Int const ptlIdx)     { m_profileLevelTierIdx[olsIdx].push_back(ptlIdx); }
+  Void   addProfileLevelTierIdx(Int const olsIdx, Int const ptlIdx)             { m_profileLevelTierIdx[olsIdx].push_back(ptlIdx); }
 #endif
   Int    calculateLenOfSyntaxElement( Int const numVal );
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1156)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1157)
@@ -81,5 +81,4 @@
 #define O0109_VIEW_ID_LEN                1      ///< JCTVC-O0109: view_id_len_minus1 to view_id_len, and add constraint (1<<view_id_len) is greater than or equal to NumViews
 
-#define P0295_DEFAULT_OUT_LAYER_IDC      1      ///< JCTVC-P0295: modifify default_one_target_output_layer_idc to default_output_layer_idc
 #define O0109_DEFAULT_ONE_OUT_LAYER_IDC  1      ///< JCTVC-O0109: default_one_target_output_layer_flag to default_one_target_output_layer_idc
 
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1156)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1157)
@@ -2913,5 +2913,4 @@
   Int numOutputLayerSets = vps->getNumLayerSets() + vps->getNumAddOutputLayerSets();
 
-#if P0295_DEFAULT_OUT_LAYER_IDC
   vps->setNumOutputLayerSets( numOutputLayerSets );
 
@@ -3038,96 +3037,4 @@
 
   vps->checkNecessaryLayerFlagCondition();  
-
-#else
-  if( numOutputLayerSets > 1 )
-  {
-#if O0109_DEFAULT_ONE_OUT_LAYER_IDC
-    READ_CODE( 2, uiCode, "default_one_target_output_layer_idc" );   vps->setDefaultOneTargetOutputLayerIdc( uiCode );
-#else
-    READ_FLAG( uiCode, "default_one_target_output_layer_flag" );   vps->setDefaultOneTargetOutputLayerFlag( uiCode ? true : false );
-#endif
-  }
-  vps->setNumOutputLayerSets( numOutputLayerSets );
-
-  for(i = 1; i < numOutputLayerSets; i++)
-  {
-    if( i > (vps->getNumLayerSets() - 1) )
-    {
-      Int numBits = 1;
-      while ((1 << numBits) < (vps->getNumLayerSets() - 1))
-      {
-        numBits++;
-      }
-      READ_CODE( numBits, uiCode, "output_layer_set_idx_minus1");   vps->setOutputLayerSetIdx( i, uiCode + 1);
-      Int lsIdx = vps->getOutputLayerSetIdx(i);
-#if NUM_OL_FLAGS
-      for(j = 0; j < vps->getNumLayersInIdList(lsIdx) ; j++)
-#else
-      for(j = 0; j < vps->getNumLayersInIdList(lsIdx) - 1; j++)
-#endif
-      {
-        READ_FLAG( uiCode, "output_layer_flag[i][j]"); vps->setOutputLayerFlag(i, j, uiCode);
-      }
-    }
-    else
-    {
-#if VPS_DPB_SIZE_TABLE 
-      vps->setOutputLayerSetIdx( i, i );
-#endif
-      // i <= (vps->getNumLayerSets() - 1)
-      // Assign OutputLayerFlag depending on default_one_target_output_layer_flag
-      Int lsIdx = i;
-#if O0109_DEFAULT_ONE_OUT_LAYER_IDC
-      if( vps->getDefaultOneTargetOutputLayerIdc() == 1 )
-      {
-        for(j = 0; j < vps->getNumLayersInIdList(lsIdx); j++)
-        {
-#if O0135_DEFAULT_ONE_OUT_SEMANTIC
-#if DEF_OPT_LAYER_IDC
-        vps->setOutputLayerFlag(i, j, (j == (vps->getNumLayersInIdList(lsIdx)-1)) );
-#else
-          vps->setOutputLayerFlag(i, j, (j == (vps->getNumLayersInIdList(lsIdx)-1)) && (vps->getDimensionId(j,1)==0) );
-#endif
-#else
-          vps->setOutputLayerFlag(i, j, (j == (vps->getNumLayersInIdList(lsIdx)-1)));
-#endif
-        }
-      }
-      else if ( vps->getDefaultOneTargetOutputLayerIdc() == 0 )
-      {
-        for(j = 0; j < vps->getNumLayersInIdList(lsIdx); j++)
-        {
-          vps->setOutputLayerFlag(i, j, 1);
-        }
-      }
-      else
-      {
-        // Other values of default_one_target_output_layer_idc than 0 and 1 are reserved for future use.
-      }
-#else
-      if( vps->getDefaultOneTargetOutputLayerFlag() )
-      {
-        for(j = 0; j < vps->getNumLayersInIdList(lsIdx); j++)
-        {
-          vps->setOutputLayerFlag(i, j, (j == (vps->getNumLayersInIdList(lsIdx)-1)));
-        }
-      }
-      else
-      {
-        for(j = 0; j < vps->getNumLayersInIdList(lsIdx); j++)
-        {
-          vps->setOutputLayerFlag(i, j, 1);
-        }
-      }
-#endif
-    }
-    Int numBits = 1;
-    while ((1 << numBits) < (vps->getNumProfileTierLevel()))
-    {
-      numBits++;
-    }
-    READ_CODE( numBits, uiCode, "profile_level_tier_idx[i]" );     vps->setProfileLevelTierIdx(i, uiCode);
-  }
-#endif
 
 #if REPN_FORMAT_IN_VPS
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1156)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1157)
@@ -2170,5 +2170,4 @@
       }
       WRITE_CODE( vps->getOutputLayerSetIdx(i) - 1, numBits, "layer_set_idx_for_ols_minus1"); 
-#if P0295_DEFAULT_OUT_LAYER_IDC
     }
 #if Q0078_ADD_LAYER_SETS
@@ -2178,5 +2177,4 @@
 #endif
     {
-#endif
 #if NUM_OL_FLAGS
       for(j = 0; j < vps->getNumLayersInIdList(layerSetIdxForOutputLayerSet) ; j++)
